# Method: significantEvents.search

- [HTTP request](https://developers.google.com/flood-forecasting/rest/v1/significantEvents/search#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/flood-forecasting/rest/v1/significantEvents/search#body.request_body)
  - [JSON representation](https://developers.google.com/flood-forecasting/rest/v1/significantEvents/search#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/flood-forecasting/rest/v1/significantEvents/search#body.response_body)
  - [JSON representation](https://developers.google.com/flood-forecasting/rest/v1/significantEvents/search#body.SearchLatestSignificantEventsResponse.SCHEMA_REPRESENTATION)

Search for latest significant events.

### HTTP request

`POST https://floodforecasting.googleapis.com/v1/significantEvents:search`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "pageSize": integer, "pageToken": string } ``` |

| Fields ||
|---|---|
| `pageSize` | `integer` Required. The maximum number of events to return. The service may return fewer than this value. If unspecified, at most 1,000 events will be returned. The maximum value is 1,000; values above 1,000 will be coerced to 1,000. The maximum value is currently not enforced by the API, but will be in the future. |
| `pageToken` | `string` Optional. A page token, received from a previous `significantEvents.search` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `significantEvents.search` must match the call that provided the page token. |

### Response body

The response of significantEvents.search.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "significantEvents": [ { object (`https://developers.google.com/flood-forecasting/rest/v1/significantEvents#SignificantEvent`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `significantEvents[]` | ``object (`https://developers.google.com/flood-forecasting/rest/v1/significantEvents#SignificantEvent`)`` The significant events. |
| `nextPageToken` | `string` Optional. A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |